## mx-tools 18.11

=== debian/changelog ===
mx-tools (18.11) mx; urgency=medium

  * updated translations

 -- Adrian <adrian@mxlinux.org>  Fri, 30 Nov 2018 15:00:15 -0500

mx-tools (18.10) mx; urgency=medium

  * updated translations

 -- Adrian <adrian@mxlinux.org>  Sun, 14 Oct 2018 20:27:05 -0400

mx-tools (18.8) mx; urgency=medium

  * fix icon for other themes

 -- Adrian <adrian@mxlinux.org>  Sat, 11 Aug 2018 15:10:52 -0400

mx-tools (18.7+1) mx; urgency=medium

  * exclude items that are not supposed to be displayed either in Live or Installed environment

 -- Adrian <adrian@mxlinux.org>  Sun, 29 Jul 2018 23:50:29 -0400

mx-tools (18.7) mx; urgency=medium

  * minor fix

 -- Adrian <adrian@mxlinux.org>  Sat, 28 Jul 2018 01:22:51 -0400

mx-tools (18.6.1) mx; urgency=medium

  * added changelog button

 -- Adrian <adrian@mxlinux.org>  Thu, 28 Jun 2018 17:12:00 -0400

mx-tools (18.6) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Mon, 18 Jun 2018 17:53:58 -0400

mx-tools (18.3) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Fri, 02 Mar 2018 12:02:14 -0500

mx-tools (18.2) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Sat, 10 Feb 2018 02:28:18 -0500

mx-tools (18.01) mx; urgency=medium

  * no window resize when searching

 -- Adrian <adrian@mxlinux.org>  Mon, 29 Jan 2018 18:03:00 -0500

mx-tools (17.12) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Mon, 04 Dec 2017 15:14:42 -0500

mx-tools (17.11) mx; urgency=medium

  * open mx-manual if present

 -- Adrian <adrian@mxlinux.org>  Fri, 17 Nov 2017 08:43:32 -0500

mx-tools (17.10+3) mx; urgency=medium

  * remove mx-flash and mx-findshares recommends

 -- Adrian <adrian@mxlinux.org>  Mon, 16 Oct 2017 14:03:47 -0400

mx-tools (17.10+2) mx; urgency=medium

  * larger icons

 -- Adrian <adrian@mxlinux.org>  Sat, 14 Oct 2017 15:10:28 -0400

mx-tools (17.10+1) mx; urgency=medium

  * changed icon

 -- Adrian <adrian@mxlinux.org>  Fri, 13 Oct 2017 23:53:18 -0400

mx-tools (17.10) mx; urgency=medium

  * don't display empty categories

 -- Adrian <adrian@mxlinux.org>  Sun, 01 Oct 2017 17:00:28 -0400

mx-tools (17.9) mx; urgency=medium

  * new icon
  * save location and size of app at exit

 -- Adrian <adrian@mxlinux.org>  Sat, 30 Sep 2017 12:26:15 -0400

mx-tools (17.6mx16) mx; urgency=medium

  * updated translations

 -- Adrian <adrian@mxlinux.org>  Fri, 02 Jun 2017 16:39:03 -0400

mx-tools (17.5mx16) mx; urgency=medium

  * update icons

 -- Adrian <adrian@mxlinux.org>  Wed, 10 May 2017 15:55:58 -0400

mx-tools (17.4mx16+1) mx; urgency=medium

  * fix displaying names in different languages

 -- Adrian <adrian@mxlinux.org>  Mon, 17 Apr 2017 11:11:49 -0400

mx-tools (17.4mx16) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Tue, 04 Apr 2017 19:55:04 -0400

mx-tools (17.3mx16) mx; urgency=medium

  * hide Xfce-only items when not running in Xfce

 -- Adrian <adrian@mxlinux.org>  Sun, 12 Mar 2017 15:45:45 -0400

mx-tools (16.11mx16+4) mx; urgency=medium

  * new translations 

 -- Adrian <adrian@mxlinux.org>  Wed, 30 Nov 2016 12:55:42 -0500

mx-tools (16.11mx16+3) mx; urgency=medium

  * modified window width calculation

 -- dolphinoracle <dolphinoracle@gmail.com>  Wed, 16 Nov 2016 13:49:42 -0500

mx-tools (16.11mx16+2) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Wed, 16 Nov 2016 13:49:42 -0500

mx-tools (16.11mx16+1) mx; urgency=medium

  * remove live-kernel-update when not running in a live environment

 -- Adrian <adrian@mxlinux.org>  Sun, 06 Nov 2016 18:10:20 -0500

mx-tools (16.11mx16) mx; urgency=medium

  * adjust windows width

 -- Adrian <adrian@mxlinux.org>  Tue, 01 Nov 2016 09:51:52 -0400

mx-tools (16.10mx16+5) mx; urgency=medium

  * bug fix

 -- Adrian <adrian@mxlinux.org>  Thu, 27 Oct 2016 10:51:31 -0400

mx-tools (16.10mx16+4) mx; urgency=medium

  * don't show mx-remaster unless running live

 -- dolphinoracle <dolphinoracle@gmail.com>  Wed, 26 Oct 2016 12:30:17 -0400

mx-tools (16.10mx16+3) mx; urgency=medium

  * look follows the desktop theme

 -- Adrian <adrian@mxlinux.org>  Tue, 25 Oct 2016 10:50:35 -0400

mx-tools (16.10mx16+2) mx; urgency=medium

  * removed depend on mx-docs per anti's request

 -- dolphinoracle <dolphinoracle@gmail.com>  Sun, 16 Oct 2016 12:30:17 -0400

mx-tools (16.10mx16+1) mx; urgency=medium

  * added parsing of Terminal= line for cli apps

 -- dolphinoracle <dolphinoracle@gmail.com>  Sat, 15 Oct 2016 19:30:17 -0400

mx-tools (16.10mx16) mx; urgency=medium

  * changed URLs

 -- Adrian <adrian@mxlinux.org>  Mon, 10 Oct 2016 14:30:17 -0400

mx-tools (16.8mx15) mx; urgency=medium

  * removed postinstall command

 -- Adrian <adrian@mxlinux.org>  Thu, 04 Aug 2016 12:52:13 -0400

mx-tools (16.6mx15+2) mx; urgency=medium

  * added search

 -- Adrian <adrian@mxlinux.org>  Sat, 11 Jun 2016 11:03:38 -0400

mx-tools (16.6mx15+1) mx; urgency=medium

  * minor visual change

 -- Adrian <adrian@mxlinux.org>  Wed, 08 Jun 2016 10:19:59 -0400

mx-tools (16.6mx15) mx; urgency=medium

  * code re-write to add buttons for MX tools automatically

 -- Adrian <adrian@mxlinux.org>  Sun, 05 Jun 2016 15:28:20 -0400

mx-tools (16.5mx15+1) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Fri, 06 May 2016 10:15:02 -0400

mx-tools (16.5mx15) mx; urgency=medium

  * minor changes: renamed button, adjusted hide tools in the menu

 -- Adrian <adrian@mxlinux.org>  Tue, 03 May 2016 08:45:46 -0400

mx-tools (16.2mx15+1) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Sat, 20 Feb 2016 09:43:38 -0500

mx-tools (16.2mx15) mx; urgency=medium

  * replaced Switch User with Repo Manager

 -- Adrian <adrian@mxlinux.org>  Mon, 08 Feb 2016 10:39:38 -0500

mx-tools (15.12.1mx15) mx; urgency=medium

  * hide GUI when displaying help/license

 -- Adrian <adrian@mxlinux.org>  Tue, 22 Dec 2015 18:38:12 -0500

mx-tools (15.12mx15) mx; urgency=medium



=== debian/rules ===
#!/usr/bin/make -f

QMAKE_OPTS = DEFINES+=NO_DEBUG_ON_CONSOLE
MAKE_OPTS  = QMAKE=qmake-qt5 LRELEASE=lrelease-qt5 QMAKE_OPTS="$(QMAKE_OPTS)"

override_dh_auto_clean:
	dh_auto_clean
	rm -f src/translations/*.qm

override_dh_auto_build:
	lrelease mx-tools.pro
	dh_auto_build -- $(MAKE_OPTS)

override_dh_auto_install:
	dh_auto_install -- $(MAKE_OPTS)

override_dh_builddeb:
	dh_builddeb -- -Z xz

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

%:
	dh $@ --parallel

## mx-tools 19.1

=== debian/changelog ===
mx-tools (19.1) mx; urgency=medium

  * updated translations

 -- Adrian <adrian@mxlinux.org>  Wed, 23 Jan 2019 16:45:10 -0500

## mx-tools 26.01

=== CMakeLists.txt ===
# **********************************************************************
# * Copyright (C) 2017-2025 MX Authors
# *
# * Authors: Adrian
# *          MX Linux <http://mxlinux.org>
# *
# * This file is part of mx-tools.
# *
# * mx-tools is free software: you can redistribute it and/or modify
# * it under the terms of the GNU General Public License as published by
# * the Free Software Foundation, either version 3 of the License, or
# * (at your option) any later version.
# *
# * mx-tools is distributed in the hope that it will be useful,
# * but WITHOUT ANY WARRANTY; without even the implied warranty of
# * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# * GNU General Public License for more details.
# *
# * You should have received a copy of the GNU General Public License
# * along with mx-tools.  If not, see <http://www.gnu.org/licenses/>.
# **********************************************************************/

cmake_minimum_required(VERSION 3.16)

set(PROJECT_VERSION_FROM_CHANGELOG "")

if(DEFINED PROJECT_VERSION_OVERRIDE AND NOT "${PROJECT_VERSION_OVERRIDE}" STREQUAL "")
    set(PROJECT_VERSION_FROM_CHANGELOG "${PROJECT_VERSION_OVERRIDE}")
    message(STATUS "Using version override: ${PROJECT_VERSION_FROM_CHANGELOG}")
else()
    # Try dpkg-parsechangelog first (Debian/Ubuntu)
    execute_process(
        COMMAND dpkg-parsechangelog -SVersion
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
        OUTPUT_VARIABLE PROJECT_VERSION_FROM_CHANGELOG
        OUTPUT_STRIP_TRAILING_WHITESPACE
        RESULT_VARIABLE DPKG_RESULT
        ERROR_QUIET
    )

    if(DPKG_RESULT EQUAL 0 AND NOT "${PROJECT_VERSION_FROM_CHANGELOG}" STREQUAL "")
        message(STATUS "Using version from debian/changelog: ${PROJECT_VERSION_FROM_CHANGELOG}")
    elseif(EXISTS ${CMAKE_SOURCE_DIR}/debian/changelog)
        file(READ ${CMAKE_SOURCE_DIR}/debian/changelog PROJECT_CHANGELOG_CONTENT)
        string(REGEX MATCH "^[^\\(]*\\(([^)]+)\\)" _match "${PROJECT_CHANGELOG_CONTENT}")
        if(NOT _match)
            message(FATAL_ERROR "Could not parse version from debian/changelog")
        endif()
        set(PROJECT_VERSION_FROM_CHANGELOG "${CMAKE_MATCH_1}")
        message(STATUS "Using version parsed from debian/changelog: ${PROJECT_VERSION_FROM_CHANGELOG}")
    else()
        message(FATAL_ERROR "Could not determine version: dpkg-parsechangelog not available and debian/changelog missing")
    endif()
endif()

project(mx-tools
    VERSION ${PROJECT_VERSION_FROM_CHANGELOG}
    DESCRIPTION "MX Tools - Dashboard application for configuration tools in MX Linux"
    LANGUAGES CXX
)

# Set C++ standard
set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

# Enable compile commands export for IDEs and tools
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

# Optimize for Ninja builds
if(CMAKE_GENERATOR STREQUAL "Ninja")
    # Enable colored output for Ninja
    if(CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
        add_compile_options(-fdiagnostics-color=always)
    elseif(CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
        add_compile_options(-fcolor-diagnostics)
    endif()
endif()

# Option to use clang for testing builds
option(USE_CLANG "Use clang compiler" OFF)
if(USE_CLANG)
    set(CMAKE_C_COMPILER clang)
    set(CMAKE_CXX_COMPILER clang++)
    set(CMAKE_CXX_COMPILER_ID "Clang")
    message(STATUS "Using clang compiler")
endif()

# Find Qt6 components
find_package(Qt6 REQUIRED COMPONENTS
    Core
    Gui
    Widgets
    LinguistTools
)

# Enable automatic MOC, UIC, and RCC processing
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)

# Define source files
set(SOURCES
    main.cpp
    mainwindow.cpp
    flatbutton.cpp
    about.cpp
)

set(HEADERS
    mainwindow.h
    flatbutton.h
    about.h
)

set(UI_FILES
    mainwindow.ui
)

set(RESOURCE_FILES
    images.qrc
)

# Get all translation files
file(GLOB TRANSLATION_FILES "translations/*.ts")

# Create the executable
add_executable(mx-tools
    ${SOURCES}
    ${HEADERS}
    ${UI_FILES}
    ${RESOURCE_FILES}
)

# Link Qt6 libraries
target_link_libraries(mx-tools
    Qt6::Core
    Qt6::Gui
    Qt6::Widgets
)

# Set compiler flags
target_compile_options(mx-tools PRIVATE
    -Wpedantic
    -pedantic
    -Werror=return-type
    -Werror=switch
    -Werror=uninitialized
    -Werror
)

# Add compiler-specific flags
if(CMAKE_CXX_COMPILER_ID STREQUAL "Clang" OR USE_CLANG)
    target_compile_options(mx-tools PRIVATE -Werror=return-stack-address)
else()
    target_compile_options(mx-tools PRIVATE -Werror=return-local-addr)
endif()

# Set compile definitions
target_compile_definitions(mx-tools PRIVATE
    QT_DEPRECATED_WARNINGS
    QT_DISABLE_DEPRECATED_BEFORE=0x060000
    VERSION="${PROJECT_VERSION}"
)

# Release-specific optimizations
if(CMAKE_BUILD_TYPE STREQUAL "Release")
    target_compile_definitions(mx-tools PRIVATE NDEBUG)
    target_compile_options(mx-tools PRIVATE -O3)

    # Add LTO - different flags for different compilers
    if(CMAKE_CXX_COMPILER_ID STREQUAL "Clang" OR USE_CLANG)
        target_compile_options(mx-tools PRIVATE -flto=thin)
        target_link_options(mx-tools PRIVATE -flto=thin)
    else()
        target_compile_options(mx-tools PRIVATE -flto=auto)
        target_link_options(mx-tools PRIVATE -flto=auto)
    endif()
endif()

# Handle translations
qt6_add_translations(mx-tools
    TS_FILES ${TRANSLATION_FILES}
    LRELEASE_OPTIONS -compress -nounfinished -removeidentical -silent
    QM_FILES_OUTPUT_VARIABLE qm_files
)



# Set target properties
set_target_properties(mx-tools PROPERTIES
    OUTPUT_NAME "mx-tools"
    RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}
)



# Install target (required by Debian build system)
# Other files are handled by debian/install
install(TARGETS mx-tools
    RUNTIME DESTINATION bin
)

## mx-tools 19.4

=== debian/changelog ===
mx-tools (19.4) mx; urgency=medium

  * updated translations

 -- Adrian <adrian@mxlinux.org>  Fri, 05 Apr 2019 11:59:15 -0400

=== debian/control ===
Source: mx-tools
Section: admin
Priority: optional
Maintainer: Adrian <adrian@mxlinux.org>
Build-Depends: qt5-qmake,
	qt5-default,
	qttools5-dev-tools,
	debhelper (>=9)        
Standards-Version: 3.9.8
Vcs-Git: git://github.com/AdrianTM/mx-tools

Package: mx-tools
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, mx-viewer, libqt5svg5, gzip
Recommends: apt-notifier, checkaptgpg, mx-bootrepair, mx-codecs, mx-packageinstaller, mx-user, mx-remastercc, mx-select-sound, mx-panel-orientation, mx-repo-manager, menu
Description: MX Tools Launcher
 MX Tools is a simple launcher used for starting various MX configuration tools.

## mx-tools 19.7

=== debian/changelog ===
mx-tools (19.7) mx; urgency=medium

  * fix window buttons for Buster

 -- Adrian <adrian@mxlinux.org>  Sun, 07 Jul 2019 14:21:36 -0400

=== debian/control ===
Source: mx-tools
Section: admin
Priority: optional
Maintainer: Adrian <adrian@mxlinux.org>
Build-Depends: debhelper (>=9), qt5-default, qt5-qmake, qttools5-dev-tools
Standards-Version: 3.9.8
Vcs-Git: git://github.com/AdrianTM/mx-tools

Package: mx-tools
Architecture: any
Depends: gzip, libqt5svg5, mx-viewer, ${misc:Depends}, ${shlibs:Depends}
Recommends: apt-notifier,
            checkaptgpg,
            menu,
            mx-bootrepair,
            mx-codecs,
            mx-packageinstaller,
            mx-panel-orientation,
            mx-remastercc,
            mx-repo-manager,
            mx-select-sound,
            mx-user
Description: MX Tools Launcher
 MX Tools is a simple launcher used for starting various MX configuration tools.

## mx-tools 19.8

=== debian/changelog ===
mx-tools (19.8) mx; urgency=medium

  * fix location settings

 -- Adrian <adrian@mxlinux.org>  Thu, 22 Aug 2019 16:07:35 -0400

## mx-tools 19.8.1

=== debian/changelog ===
mx-tools (19.8.1) mx; urgency=medium

  * allow restoring window size if started maximized

 -- Adrian <adrian@mxlinux.org>  Sat, 24 Aug 2019 03:20:36 -0400

## mx-tools 19.8.2

=== debian/changelog ===
mx-tools (19.8.2) mx; urgency=medium

  * modify mx-tools to not require root password

 -- Adrian <adrian@mxlinux.org>  Mon, 26 Aug 2019 19:55:29 -0400

## mx-tools 19.9

=== debian/changelog ===
mx-tools (19.9) mx; urgency=medium

  * Escape ampersands so they appear correctly.

 -- Adrian <adrian@mxlinux.org>  Thu, 05 Sep 2019 23:24:49 -0400

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: admin
 Priority: optional
 Maintainer: Adrian <adrian@mxlinux.org>
-Build-Depends: debhelper (>=9), qt5-default, qt5-qmake, qttools5-dev-tools
+Build-Depends: debhelper (>=9), qtbase5-dev, qttools5-dev-tools
 Standards-Version: 3.9.8
 Vcs-Git: git://github.com/AdrianTM/mx-tools
 
 Package: mx-tools
 Architecture: any
-Depends: gzip, libqt5svg5, mx-viewer, ${misc:Depends}, ${shlibs:Depends}
+Depends: libqt5svg5, mx-viewer, ${misc:Depends}, ${shlibs:Depends}
 Recommends: apt-notifier,
             checkaptgpg,
             menu,

## mx-tools 19.9.01

=== debian/changelog ===
mx-tools (19.9.01) mx; urgency=medium

  * improve hide function 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 14 Sep 2019 20:44:44 -0400

## mx-tools 19.9.02

=== debian/changelog ===
mx-tools (19.9.02) mx; urgency=medium

  * udpated translations

 -- Adrian <adrian@mxlinux.org>  Sun, 29 Sep 2019 21:09:27 -0400

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,5 @@
 #!/usr/bin/make -f
+export QT_SELECT=5
 
 QMAKE_OPTS = DEFINES+=NO_DEBUG_ON_CONSOLE
 MAKE_OPTS  = QMAKE=qmake-qt5 LRELEASE=lrelease-qt5 QMAKE_OPTS="$(QMAKE_OPTS)"
@@ -8,7 +9,7 @@
 	rm -f src/translations/*.qm
 
 override_dh_auto_build:
-	lrelease mx-tools.pro
+	lrelease *.pro
 	dh_auto_build -- $(MAKE_OPTS)
 
 override_dh_auto_install:

## mx-tools 20.08

=== debian/changelog ===
mx-tools (20.08) mx; urgency=medium

  * adjust hide individual tools from the menu
  * adjust version number to 20.08

 -- fehlix <fehlix@mxlinux.org>  Sat, 08 Aug 2020 00:17:03 +0200

mx-tools (19.10) mx; urgency=medium

  * adjust size

 -- Adrian <adrian@mxlinux.org>  Sat, 05 Oct 2019 10:19:30 -0400

## mx-tools 20.11

=== debian/changelog ===
mx-tools (20.11) mx; urgency=medium

  * faster launch

 -- Adrian <adrian@mxlinux.org>  Mon, 23 Nov 2020 18:48:55 -0500

## mx-tools 20.12

=== debian/changelog ===
mx-tools (20.12) mx; urgency=medium

  * added larger size icon

 -- Adrian <adrian@mxlinux.org>  Fri, 11 Dec 2020 18:10:03 -0500

## mx-tools 21.02.01

=== debian/changelog ===
mx-tools (21.02.01) mx; urgency=medium

  * fix fluxbox detection

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Mon, 15 Feb 2021 17:50:39 -0500

mx-tools (21.02) mx; urgency=medium

  * add fluxbox filter 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 13 Feb 2021 19:45:39 -0500

## mx-tools 21.7

=== debian/changelog ===
mx-tools (21.7) mx; urgency=medium

  * Faster and more complete icon search
  * Put .conf file in ~/.config/MX-Linux folder

 -- Adrian <adrian@mxlinux.org>  Tue, 20 Jul 2021 15:51:26 -0400

## mx-tools 21.8

=== debian/changelog ===
mx-tools (21.8) mx; urgency=medium

  * Remove "MX-" only from the begining of names 

 -- Adrian <adrian@mxlinux.org>  Sun, 01 Aug 2021 16:36:06 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Adrian <adrian@mxlinux.org>
-Build-Depends: debhelper (>=9), qtbase5-dev, qttools5-dev-tools
+Build-Depends: debhelper (>=10), qtbase5-dev, qttools5-dev-tools
 Standards-Version: 3.9.8
 Vcs-Git: git://github.com/AdrianTM/mx-tools

## mx-tools 21.8.01

=== debian/changelog ===
mx-tools (21.8.01) mx; urgency=medium

  * Rearrange buttons when window is resized

 -- Adrian <adrian@mxlinux.org>  Mon, 02 Aug 2021 10:43:39 -0400

## mx-tools 21.8.02

=== debian/changelog ===
mx-tools (21.8.02) mx; urgency=medium

  * Smoother resize; don't readd the buttons if no need to expand
  * Allow setting icon size in mx-tools.conf, e.g., icon_size=40
  * Add vertical stretch (it looks bad without stretch when searching). 

 -- Adrian <adrian@mxlinux.org>  Fri, 27 Aug 2021 21:23:03 -0400

## mx-tools 21.11

=== debian/changelog ===
mx-tools (21.11) mx; urgency=medium

  * Fix localization of displayed tool names and comments

 -- fehlix <fehlix@mxlinux.org>  Tue, 02 Nov 2021 17:43:19 -0400

## mx-tools 22.7

=== debian/changelog ===
mx-tools (22.7) mx; urgency=medium

  * translation refresh 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 23 Jul 2022 12:31:21 -0400

mx-tools (22.6) mx; urgency=medium

  * Fix: launching apps in terminal

 -- Adrian <adrian@mxlinux.org>  Thu, 30 Jun 2022 19:20:17 -0400

## mx-tools 22.10

=== debian/changelog ===
mx-tools (22.10) mx; urgency=medium

  * translation refresh 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 26 Oct 2022 20:08:01 -0400

mx-tools (22.8) mx; urgency=medium

  * Remove mx-viewer dependency

 -- Adrian <adrian@mxlinux.org>  Wed, 03 Aug 2022 01:13:40 -0400

## mx-tools 22.10.01

=== debian/changelog ===
mx-tools (22.10.01) mx; urgency=medium

  * fix string source files 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Fri, 28 Oct 2022 15:49:53 -0400

## mx-tools 23.1

=== debian/changelog ===
mx-tools (23.1) mx; urgency=medium

  * Strip %f,%F,%U from command since the program is called without arguments from launcher. This should fix starting deb-installer
  * Update translations

 -- Adrian <adrian@mxlinux.org>  Sat, 21 Jan 2023 09:24:40 -0500

## mx-tools 23.1.01

=== debian/changelog ===
mx-tools (23.1.01) mx; urgency=medium

  * Add horizontal scrollbar if needed 

 -- Adrian <adrian@mxlinux.org>  Sun, 22 Jan 2023 11:28:27 -0500

## mx-tools 23.1.02

=== debian/changelog ===
mx-tools (23.1.02) mx; urgency=medium

  * new method to set colum size

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Mon, 23 Jan 2023 22:29:42 -0500

## mx-tools 23.5

=== debian/changelog ===
mx-tools (23.5) mx; urgency=medium

  * Update logo
  * Refresh translations

 -- Adrian <adrian@mxlinux.org>  Thu, 18 May 2023 00:11:34 -0400

## mx-tools 23.7

=== debian/changelog ===
mx-tools (23.7) mx; urgency=medium

  * Update translations

 -- Adrian <adrian@mxlinux.org>  Thu, 20 Jul 2023 17:37:33 -0400

## mx-tools 23.7.01

=== debian/changelog ===
mx-tools (23.7.01) mx; urgency=medium

  * Fix a couple of translations

 -- Adrian <adrian@mxlinux.org>  Mon, 24 Jul 2023 15:11:53 -0400

## mx-tools 24.3

=== debian/changelog ===
mx-tools (24.3) mx; urgency=medium

  * Update translations 

 -- Adrian <adrian@mxlinux.org>  Sat, 23 Mar 2024 13:16:30 -0400

## mx-tools 24.10.01

=== debian/changelog ===
mx-tools (24.10.01) mx; urgency=medium

  * Fix sed command for hiding icons

 -- Adrian <adrian@mxlinux.org>  Tue, 15 Oct 2024 15:49:35 -0400

mx-tools (24.10) mx; urgency=medium

  * If needed, create ~/.local/share/applications path for mx-user.desktop
  * Update translations

 -- Adrian <adrian@mxlinux.org>  Tue, 15 Oct 2024 13:08:10 -0400

## mx-tools 24.12.01

=== debian/changelog ===
mx-tools (24.12.01) mx; urgency=medium

  * Fix doubled command within QProcess::execute call -- fixes deb-installer
    launch.
 
 -- fehlix <fehlix@mxlinux.org>  Sun, 15 Dec 2024 08:53:07 -0400

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,10 @@
 
 Package: mx-tools
 Architecture: any
-Depends: libqt5svg5, mx-viewer, ${misc:Depends}, ${shlibs:Depends}
+Depends: libqt5svg5,
+        mx-viewer | xdg-utils,
+        ${misc:Depends},
+        ${shlibs:Depends}
 Recommends: apt-notifier,
             checkaptgpg,
             menu,

## mx-tools 25.4

=== debian/changelog ===
mx-tools (25.4) mx; urgency=medium

  * Update to Qt6

 -- Adrian <adrian@mxlinux.org>  Thu, 24 Apr 2025 20:01:05 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Adrian <adrian@mxlinux.org>
-Build-Depends: debhelper (>=10), qtbase5-dev, qttools5-dev-tools
+Build-Depends: debhelper (>=10), qt6-base-dev, qt6-base-dev-tools, qt6-tools-dev, qt6-tools-dev-tools
 Standards-Version: 3.9.8
 Vcs-Git: git://github.com/AdrianTM/mx-tools

=== debian/rules ===
#!/usr/bin/make -f
export QT_SELECT=6

QMAKE_OPTS = DEFINES+=NO_DEBUG_ON_CONSOLE
MAKE_OPTS  = QMAKE=qmake6 QMAKE_OPTS="$(QMAKE_OPTS)"

override_dh_auto_clean:
	dh_auto_clean
	-find src/translations -name '*.qm' -delete || true

override_dh_auto_configure:
	qmake6

override_dh_auto_build:
	/usr/lib/qt6/bin/lrelease translations/*.ts
	@# Backup version.h if it exists
	[ -f version.h ] && mv version.h version.h~ || true
	head -n1 debian/changelog | sed -e "s/.*(\([^(]*\)).*/const QString VERSION {\"\1\"};/" > version.h
	dh_auto_build -- $(MAKE_OPTS)

override_dh_auto_install:
	dh_auto_install -- $(MAKE_OPTS)

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

execute_after_dh_builddeb:
	[ -f version.h~ ] && mv version.h~ version.h || true

%:
	dh $@ --no-automatic-dbgsym --parallel

## mx-tools 26.01

=== debian/changelog ===
mx-tools (26.01) mx; urgency=medium

  * Improve layout detection
  * Faster redraw on resize
  * Update translations

 -- Adrian <adrian@mxlinux.org>  Tue, 20 Jan 2026 01:08:26 -0500

=== debian/control ===
Source: mx-tools
Section: admin
Priority: optional
Maintainer: Adrian <adrian@mxlinux.org>
Build-Depends: debhelper-compat (= 12), cmake (>= 3.16), ninja-build, qt6-base-dev, qt6-base-dev-tools, qt6-tools-dev, qt6-tools-dev-tools
Standards-Version: 3.9.8
Vcs-Git: git://github.com/MX-Linux/mx-tools
Homepage: https://github.com/MX-Linux/mx-tools

Package: mx-tools
Architecture: any
Depends: mx-viewer | xdg-utils,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: apt-notifier,
            checkaptgpg,
            menu,
            mx-bootrepair,
            mx-codecs,
            mx-packageinstaller,
            mx-panel-orientation,
            mx-remastercc,
            mx-repo-manager,
            mx-select-sound,
            mx-user,
            mx-launcher-l10n
Description: MX Tools Launcher for MX Linux
 MX Tools is a graphical utility that provides a centralized launcher for
 accessing various MX Linux configuration and system management tools.
 It offers a user-friendly interface for:
  * System maintenance and repair
  * Software installation and management
  * Hardware configuration
  * System customization
